Package org.springframework.web.client

# Class NoOpResponseErrorHandler

java.lang.Object
org.springframework.web.client.NoOpResponseErrorHandler

All Implemented Interfaces:
  `ResponseErrorHandler`

public final class NoOpResponseErrorHandler extends Object implements ResponseErrorHandler
A basic, no operation `ResponseErrorHandler` implementation suitable for ignoring any error using the `RestTemplate` or `RestClient`.

This implementation is not suitable with the `RestClient` as it uses a list of candidates where the first matching is invoked. If you want to disable default status handlers with the `RestClient`, consider registering a noop `ErrorHandler` with a predicate that matches all status code, see `RestClient.Builder.defaultStatusHandler(Predicate, ErrorHandler)`.

Since:
  6.1.7
Author:
  Stephane Nicoll

## Constructor Summary

Constructors
Constructor
Description
`NoOpResponseErrorHandler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasError(ClientHttpResponse response)`
Indicate whether the given response has any errors.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.web.client.ResponseErrorHandler

`handleError, handleError`

## Constructor Details

### NoOpResponseErrorHandler

public NoOpResponseErrorHandler()

## Method Details

### hasError

public boolean hasError(ClientHttpResponse response) throws IOException
Description copied from interface: `ResponseErrorHandler`
Indicate whether the given response has any errors.

Implementations will typically inspect the `HttpStatus` of the response.

Specified by:
  `hasError` in interface `ResponseErrorHandler`
Parameters:
  `response` - the response to inspect
Returns:
  `true` if the response indicates an error; `false` otherwise
Throws:
  `IOException` - in case of I/O errors